<?php
if($LabelArray['Html']!=""&&$LabelArray['PageType']=='Content')
{
	$html=$LabelArray['Html'];
	if(strpos($LabelUrl,'_')===false)//说明这是第一页,其它类型页面是不处理的
	{
		preg_match("/\(pageno > (\d+)\)/i",$html, $matches);
		$pagenum=$matches[1];
		if($pagenum>2)
		{
			$return="<locoypages>";
			for($i=2;$i<=$pagenum;$i++)
			{
				$url=str_replace(".html",'_'.$i.'.html',$LabelUrl);
				$return.="<a href='".$url."'></a>";
			}
			$return.='</locoypages>';
			$LabelArray['Html'].=$return;
		}
	}
}
echo serialize($LabelArray);
?>